Package org.eclipse.net4j.signal.wrapping

## Class XORStreamWrapperInjector

- java.lang.Object
- - org.eclipse.net4j.signal.wrapping.StreamWrapperInjector
  - - org.eclipse.net4j.signal.wrapping.XORStreamWrapperInjector

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IElementProcessor`

      public class XORStreamWrapperInjector
      extends StreamWrapperInjector

  An `injector` that injects `XORStreamWrapper` instances.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XORStreamWrapperInjector​(java.lang.String protocolID, int[] key)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

      `getProtocolID, getStreamWrapper, inject, process, shouldInject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XORStreamWrapperInjector

          public XORStreamWrapperInjector​(java.lang.String protocolID,
                                          int[] key)